Updates the logo for a Subaccount with given id with the image contents sent in the request body. The request body should be the binary image contents in a supported image format, and the request should include a Content-Type header specifying the image content type. Supported image types are: PNG (image/png), JPEG (image/jpeg), WEBP (image/webp), and SVG (image/svg+xml).
/subaccounts/{id}/logoAuthorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
Content-Type
enum<string>
requiredThe content type for the image being uploaded. Must be a supported image type (see description for list of valid types)
Options:
image/pngimage/jpegimage/webpimage/svg+xmlid
string
requiredID of subaccount to modify logo for
Subaccount Logo Image Content
Subaccount Details after update
Show response attributes
id
string
Identifier that can be used to retrieve the subaccount details
created_on
string
Timestamp of when the subaccount was created (in UTC)
name
string
Name of the subaccount
string | null
Optional email associated with the subaccount.
default_portfolio_id
string | null
Optional ID of the default portfolio used to fulfilling orders placed for this subaccount. If not specified, the parent account's default portfolio is the default portfolio for the subaccount.
logo_url
string | null
Optional URL for the logo used for this subaccount, if any. This URL is for the logo as stored on CNaught's hosting.
Update Subaccount Logo By Uploading Image Content
curl --request PUT \
--url https://api.cnaught.com/v1/subaccounts/<id>/logo \
--header 'Authorization: Bearer <token>'{
"id": "5nubL0NS",
"name": "Operations Department",
"default_portfolio_id": "eWvNvC12",
"logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png"
}